/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// 该脚本由模板创建
/// created by cb 2024

using XGame.Framework.FGUI;
using XGame.Framework.UI;
using XGame.Framework.UI.View;

namespace FL.FGUI
{
    public static partial class UIKeys
    {
        private static UIKey _<#UIName>;
        public static UIKey <#UIName> => _<#UIName> ?? (_<#UIName> = new UIKey("<#pkgName>", "<#panelName>", typeof(<#UIName>View)));
    }
    public partial class <#UIName>View : UIView
    {
        protected override void AddController(IUIControllerGroup group)
        {
            group.AddController(new <#UIName>Ctrl());
        }

        protected override IUIViewModel CreateViewModel(IUIPanel panel)
        {
            return new <#UIName>VM((panel as FguiPanel).Panel);
        }

        protected override void OnDispose()
        {
        }
    }
}

